std::complex< _Tp > Struct Template Reference
Numerics » Complex Numbers

## Public Types

typedef _Tp | value_type

## Public Member Functions

constexpr | complex (const _Tp &__r=_Tp(), const _Tp &__i=_Tp())
constexpr | complex (const complex &)=default
template<typename _Up >
constexpr | complex (const complex< _Up > &__z)
constexpr complex | __rep () const
constexpr _GLIBCXX_ABI_TAG_CXX11 _Tp | imag () const
void | imag (_Tp __val)
complex< _Tp > & | operator*= (const _Tp &)
template<typename _Up >
complex< _Tp > & | operator*= (const complex< _Up > &)
complex< _Tp > & | operator+= (const _Tp &__t)
template<typename _Up >
complex< _Tp > & | operator+= (const complex< _Up > &)
complex< _Tp > & | operator-= (const _Tp &__t)
template<typename _Up >
complex< _Tp > & | operator-= (const complex< _Up > &)
complex< _Tp > & | operator/= (const _Tp &)
template<typename _Up >
complex< _Tp > & | operator/= (const complex< _Up > &)
complex< _Tp > & | operator= (const _Tp &)
complex & | operator= (const complex &)=default
template<typename _Up >
complex< _Tp > & | operator= (const complex< _Up > &)
constexpr _GLIBCXX_ABI_TAG_CXX11 _Tp | real () const
void | real (_Tp __val)

## Detailed Description

### template<typename _Tp>
struct std::complex< _Tp >

Template to represent complex numbers.

Specializations for float, double, and long double are part of the library. Results with any other type are not guaranteed.

Parameters

  Tp | Type of real and imaginary values.

Definition at line 63 of file complex.

The documentation for this struct was generated from the following file:

- complex